---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.26/23"],"mac_address":"3e:b5:a6:82:00:1b","gateway_ips":["10.130.0.1"],"ip_address":"10.130.0.26/23","gateway_ip":"10.130.0.1"}}'
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.130.0.26"
            ],
            "mac": "3e:b5:a6:82:00:1b",
            "default": true,
            "dns": {}
        }]
      k8s.v1.cni.cncf.io/networks-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.130.0.26"
            ],
            "mac": "3e:b5:a6:82:00:1b",
            "default": true,
            "dns": {}
        }]
      openshift.io/scc: restricted
    creationTimestamp: "2020-05-26T09:45:37Z"
    generateName: cluster-storage-operator-5ff5c5766-
    labels:
      name: cluster-storage-operator
      pod-template-hash: 5ff5c5766
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"7c319d80-fe1e-4645-91ec-6a90b8589689"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"cluster-storage-operator"}:
              .: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"OPERATOR_NAME"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"POD_NAME"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
                k:{"name":"RELEASE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"WATCH_NAMESPACE"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":60000,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:nodeSelector:
            .: {}
            f:node-role.kubernetes.io/master: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T09:45:37Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.ovn.org/pod-networks: {}
      manager: ovnkube
      operation: Update
      time: "2020-05-26T09:45:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.v1.cni.cncf.io/network-status: {}
            f:k8s.v1.cni.cncf.io/networks-status: {}
      manager: multus
      operation: Update
      time: "2020-05-26T09:45:41Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.130.0.26"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2020-05-26T09:45:55Z"
    name: cluster-storage-operator-5ff5c5766-6fq7x
    namespace: openshift-cluster-storage-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: cluster-storage-operator-5ff5c5766
      uid: 7c319d80-fe1e-4645-91ec-6a90b8589689
    resourceVersion: "11163"
    selfLink: /api/v1/namespaces/openshift-cluster-storage-operator/pods/cluster-storage-operator-5ff5c5766-6fq7x
    uid: 6a8a3adf-a06b-4cea-9d17-321bfb4144e3
  spec:
    containers:
    - command:
      - cluster-storage-operator
      env:
      - name: RELEASE_VERSION
        value: 0.0.1-2020-05-26-050349
      - name: WATCH_NAMESPACE
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.namespace
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      - name: OPERATOR_NAME
        value: storage
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
      imagePullPolicy: IfNotPresent
      name: cluster-storage-operator
      ports:
      - containerPort: 60000
        name: metrics
        protocol: TCP
      resources:
        requests:
          cpu: 10m
          memory: 20Mi
      securityContext:
        capabilities:
          drop:
          - KILL
          - MKNOD
          - SETGID
          - SETUID
        runAsUser: 1000010000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: cluster-storage-operator-token-ztqdv
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    nodeName: skumari-gcp-wd9nd-master-2.c.openshift-gce-devel.internal
    nodeSelector:
      node-role.kubernetes.io/master: ""
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 1000010000
      seLinuxOptions:
        level: s0:c3,c2
    serviceAccount: cluster-storage-operator
    serviceAccountName: cluster-storage-operator
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoSchedule
      key: node-role.kubernetes.io/master
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: cluster-storage-operator-token-ztqdv
      secret:
        defaultMode: 420
        secretName: cluster-storage-operator-token-ztqdv
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T09:45:37Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T09:45:55Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T09:45:55Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T09:45:37Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://cfa0895b7f996262708dc30bc01f42b2b9304822022f7a2e44e626ffd02148f4
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
      imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
      lastState: {}
      name: cluster-storage-operator
      ready: true
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2020-05-26T09:45:54Z"
    hostIP: 10.0.0.6
    phase: Running
    podIP: 10.130.0.26
    podIPs:
    - ip: 10.130.0.26
    qosClass: Burstable
    startTime: "2020-05-26T09:45:37Z"
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      openshift.io/scc: privileged
    creationTimestamp: "2020-05-26T09:36:36Z"
    generateName: csi-snapshot-controller-operator-57c4bb8b4f-
    labels:
      app: csi-snapshot-controller-operator
      pod-template-hash: 57c4bb8b4f
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"96a32bc4-6c75-4c39-904c-f1c48f23669a"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"operator"}:
              .: {}
              f:args: {}
              f:env:
                .: {}
                k:{"name":"OPERAND_IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERAND_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"POD_NAME"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/var/run/configmaps/config"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"config"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:name: {}
              f:name: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T09:36:36Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"PodScheduled"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
      manager: kube-scheduler
      operation: Update
      time: "2020-05-26T09:49:38Z"
    name: csi-snapshot-controller-operator-57c4bb8b4f-zs6lb
    namespace: openshift-cluster-storage-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: csi-snapshot-controller-operator-57c4bb8b4f
      uid: 96a32bc4-6c75-4c39-904c-f1c48f23669a
    resourceVersion: "16150"
    selfLink: /api/v1/namespaces/openshift-cluster-storage-operator/pods/csi-snapshot-controller-operator-57c4bb8b4f-zs6lb
    uid: 71526bec-c2ec-436f-8c22-5e5ce99e5b66
  spec:
    containers:
    - args:
      - start
      - -v
      - "5"
      - --config=/var/run/configmaps/config/operator-config.yaml
      env:
      - name: OPERAND_IMAGE
        value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:e69949554a71f58b02984e14eecbad4a79812c7295cac1dda1382751b5bf818f
      - name: OPERATOR_IMAGE_VERSION
        value: 0.0.1-2020-05-26-050349
      - name: OPERAND_IMAGE_VERSION
        value: 0.0.1-2020-05-26-050349
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:49d7116d4ab6b2ad0f19eccb1a416db8a4a307028eebeff2451f200d70c31481
      imagePullPolicy: IfNotPresent
      name: operator
      resources:
        requests:
          cpu: 10m
          memory: 50Mi
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/configmaps/config
        name: config
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: csi-snapshot-controller-operator-token-m9tcv
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext: {}
    serviceAccount: csi-snapshot-controller-operator
    serviceAccountName: csi-snapshot-controller-operator
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - configMap:
        defaultMode: 440
        name: csi-snapshot-controller-operator-config
      name: config
    - name: csi-snapshot-controller-operator-token-m9tcv
      secret:
        defaultMode: 420
        secretName: csi-snapshot-controller-operator-token-m9tcv
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2020-05-26T09:36:36Z"
      message: '0/6 nodes are available: 3 node(s) had taint {node-role.kubernetes.io/master:
        }, that the pod didn''t tolerate, 3 node(s) had taint {node.kubernetes.io/not-ready:
        }, that the pod didn''t tolerate.'
      reason: Unschedulable
      status: "False"
      type: PodScheduled
    phase: Pending
    qosClass: Burstable
kind: PodList
metadata:
  resourceVersion: "56705"
  selfLink: /api/v1/namespaces/openshift-cluster-storage-operator/pods
